/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { TemplateRef } from '@angular/core';
import * as i0 from "@angular/core";
/**
 * Represents the status bar template of the Grid. Use this directive to customize how the Grid displays aggregates in the status bar.
 *
 * The template context provides:
 * - `aggregates`&mdash;The [`SelectionAggregates`]({% slug api_grid_selectionaggregates %}) object with all calculated aggregates.
 *
 * Use the Angular [`ngFor`](link:site.data.urls.angular['ngfor']) structural directive and the [`KeyValuePipe`](https://angular.io/api/common/KeyValuePipe)
 * to loop through the aggregates as key-value pairs.
 */
export declare class StatusBarTemplateDirective {
    templateRef: TemplateRef<any>;
    constructor(templateRef: TemplateRef<any>);
    static ɵfac: i0.ɵɵFactoryDeclaration<StatusBarTemplateDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<StatusBarTemplateDirective, "[kendoGridStatusBarTemplate]", never, {}, {}, never, never, true, never>;
}
