/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { RowArgs } from "../rendering/common/row-args";
import { ColumnBase } from "./column-base";
/**
 * Represents the callback function that determines the rowspan of each cell in a column.
 * @param row The row arguments.
 * @param column The column instance.
 * @param data The data array.
 * @returns The rowspan value for the cell.
 */
export type CellRowspanFn = (row: RowArgs, column: ColumnBase, data: any[]) => number;
