/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { FormGroup } from "@angular/forms";
import { CreateFormGroupArgs } from "../editing-directives/create-form-group-args.interface";
/**
 * Defines a function that creates a `FormGroup` for the edited model.
 * @param args The arguments for creating the form group.
 * @returns The created `FormGroup`.
 */
export type CreateFormGroup = (args: CreateFormGroupArgs) => FormGroup;
