/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { ExcelExportData } from "@progress/kendo-angular-excel-export";
import { Observable } from "rxjs";
import { GridComponent } from "../grid.component";
/**
 * Defines a function that returns the exported data options for the Grid.
 * Use this callback to provide custom data for export. [See example](slug:excelexport_grid#toc-exporting-specific-data).
 * @param component The Grid component.
 * @returns The exported data.
 */
export type FetchDataCallback = (component: GridComponent) => ExcelExportData | Promise<ExcelExportData> | Observable<ExcelExportData>;
