/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { GroupItem } from './group-item.interface';
/**
 * Represents a grid item for a data row.
 */
export interface DataItem {
    /**
     * Sets the type of the grid item.
     */
    type: 'data';
    /**
     * Holds a reference to the data item.
     */
    data: Object;
    /**
     * Sets the index of the grid item. This index may differ from the index in the source data set.
     */
    index: number;
    /**
     * Sets the group index, if available.
     */
    groupIndex: string;
    /**
     * Indicates if the item is currently being edited.
     */
    isEditing: boolean;
    /**
     * Holds the current data item group.
     */
    group: GroupItem;
}
