/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { QueryList } from '@angular/core';
import { RowspanService } from '../rendering/rowspan.service';
import { GroupsService } from '../grouping/groups.service';
import { GridItem } from './grid-item.interface';
import { DetailsService } from '../rendering/details/details.service';
import { ColumnBase } from '../columns/column-base';
import { DetailTemplateDirective } from '../rendering/details/detail-template.directive';
import * as i0 from "@angular/core";
/**
 * @hidden
 */
export declare class DataMappingService {
    private rowspanService;
    private groupsService;
    private detailsService;
    private recalculateRowspan;
    private dataArray;
    constructor(rowspanService: RowspanService, groupsService: GroupsService, detailsService: DetailsService);
    private isGroup;
    /**
     * Maps the data to the Grid row items, applying rowspan and detail row logic.
     */
    dataMapper(data: any, nonLockedColumnsToRender: QueryList<ColumnBase>, lockedLeafColumns: QueryList<ColumnBase>, detailTemplate: DetailTemplateDirective, showFooter: boolean): Array<GridItem & {
        showDataItem?: boolean;
        showDetailRow?: boolean;
        cells?: any[];
        isExpanded?: boolean;
    }>;
    private isDataItem;
    private isFooter;
    private isFooterItemInExpandedGroup;
    private isDataItemInExpandedGroup;
    private isInExpandedGroup;
    private isParentGroupExpanded;
    private isExpanded;
    private shouldRenderItem;
    private shouldSkipCell;
    private cachedDataArray;
    private getRowspan;
    static ɵfac: i0.ɵɵFactoryDeclaration<DataMappingService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<DataMappingService>;
}
