/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { GroupResult } from '@progress/kendo-data-query';
import { GroupItem } from './group-item.interface';
/**
 * Represents a group footer item in the Grid.
 */
export interface GroupFooterItem {
    /**
     * Sets the type of the Grid item.
     */
    type: 'footer';
    /**
     * Holds the group data.
     */
    data: GroupResult;
    /**
     * Sets the index of the group item.
     */
    groupIndex: string;
    /**
     * Sets the nesting level of the group. The root group is at level 0.
     */
    level: number;
    /**
     * Holds the current footer group item.
     */
    group: GroupItem;
}
