/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { PreventableEvent } from '../common/preventable-event';
import { ColumnBase } from '../columns/column-base';
/**
 * Provides the arguments for the `columnReorder` event.
 */
export declare class ColumnReorderEvent extends PreventableEvent {
    /**
     * Represents the reordered column.
     */
    readonly column: ColumnBase;
    /**
     * Represents the new index of the column. This index is relative to the collection of columns.
     */
    readonly newIndex: number;
    /**
     * Represents the original index of the column before reordering. This index is relative to the collection of columns.
     */
    readonly oldIndex: number;
    /**
     * @hidden
     */
    constructor({ column, newIndex, oldIndex }: any);
}
