/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { SaveEvent } from "./save-event-args.interface";
/**
 * Arguments for the [`cancel`](slug:api_grid_gridcomponent#toc-cancel) event.
 *
 * This event is emitted when the user cancels editing of a row or cell.
 *
 * The event exposes the same properties as the `SaveEvent`, allowing access to the data item, form group, and row or cell context being canceled.
 *
 * [See example](slug:inline_editing_grid#toc-canceling-editing).
 */
export interface CancelEvent extends SaveEvent {
}
