/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { PreventableEvent } from '../common/preventable-event';
import { EditEvent } from './edit-event-args.interface';
import type { GridComponent } from '../grid.component';
/**
 * Arguments for the [`cellClose`](slug:api_grid_gridcomponent#toc-cellclose) event.
 */
export declare class CellCloseEvent extends PreventableEvent implements EditEvent {
    isNew: boolean;
    dataItem: any;
    rowIndex: number;
    sender: GridComponent;
    /**
     * @hidden
     */
    action: string;
    /**
     * The Grid column that will be closed.
     */
    column: any;
    /**
     * The [FormGroup](link:site.data.urls.angular['formgroupapi']) used to edit the cell.
     */
    formGroup: any;
    /**
     * The DOM event that triggered the `cellClose` event.
     * May be undefined if the event was triggered programmatically.
     */
    originalEvent: any;
    /**
     * @hidden
     */
    constructor(options: any);
}
