/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { PreventableEvent } from '../../common/preventable-event';
/**
 * Provides the arguments for the `detailCollapse` event.
 *
 * The event fires when a detail row collapses.
 */
export class DetailCollapseEvent extends PreventableEvent {
    /**
     * The `dataItem` for the collapsed row.
     */
    dataItem;
    /**
     * The index of the collapsed row.
     */
    index;
    /**
     * @hidden
     */
    constructor(args) {
        super();
        Object.assign(this, args);
    }
}
