/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { PreventableEvent } from '../../common/preventable-event';
/**
 * Provides the arguments for the `detailExpand` event.
 *
 * The event fires when a detail row expands.
 */
export class DetailExpandEvent extends PreventableEvent {
    /**
     * Represents the `dataItem` for the expanded row.
     */
    dataItem;
    /**
     * Represents the index of the expanded row.
     */
    index;
    /**
     * @hidden
     */
    constructor(args) {
        super();
        Object.assign(this, args);
    }
}
