/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { PreventableEvent } from "@progress/kendo-angular-common";
/**
 * Provides arguments for the `undo` and `redo` events.
 */
export class UndoRedoEvent extends PreventableEvent {
    /**
     * The event data for the action that changed the state.
     */
    originalEvent;
    /**
     * The Grid state and rendered data at the time of the action.
     */
    gridState;
    /**
     * @hidden
     */
    constructor({ originalEvent, gridState }) {
        super();
        this.originalEvent = originalEvent;
        this.gridState = gridState;
    }
}
