/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { GroupResult } from "@progress/kendo-data-query";
/**
 * Describes a group row at a specific position in the Grid. [See example](slug:groups_expanded_state_grid#toc-custom-group-key-format).
 */
export interface GroupRowArgs {
    /**
     * Represents the `GroupResult` object for the group row.
     */
    group?: GroupResult;
    /**
     * Represents the hierarchical group row index.
     * For example, "4_0" is the first sub-group in the fifth group.
     */
    groupIndex: string;
    /**
     * Represents the parent group of the current row.
     */
    parentGroup?: GroupRowArgs;
}
