/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
/**
 * Sets options for the Grid's grouping feature.
 */
export interface GroupableSettings {
    /**
     * If `true`, lets users group by dragging and dropping column headers.
     * If set to `true`, users can group the Grid by dragging column headers.
     * Grouping is off by default.
     */
    enabled?: boolean;
    /**
     * Represents the text shown when the grouping area is empty.
     * The default is **Drag a column header and drop it here to group by that column**.
     */
    emptyText?: string;
    /**
     * When `true`, shows the group footer template when the group is collapsed.
     */
    showFooter: boolean;
}
