/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { LocalizationService } from '@progress/kendo-angular-l10n';
import { GridMessages } from './messages';
import * as i0 from "@angular/core";
/**
 * The component allows you to override the default component messages with custom ones.
 * ([See example](slug:globalization_grid#toc-custom-messages).)
 *
 * @example
 * ```html
 * <kendo-grid [data]="gridData">
 *   <kendo-grid-messages
 *     [noRecords]="'No data found.'"
 *     [pagerLabel]="'Page {currentPage} of {totalPages}'">
 *   </kendo-grid-messages>
 * </kendo-grid>
 * ```
 */
export declare class CustomMessagesComponent extends GridMessages {
    protected service: LocalizationService;
    constructor(service: LocalizationService);
    protected get override(): boolean;
    static ɵfac: i0.ɵɵFactoryDeclaration<CustomMessagesComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CustomMessagesComponent, "kendo-grid-messages", never, {}, {}, never, never, true, never>;
}
