/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { PDFExportMarginComponent } from '@progress/kendo-angular-pdf-export';
import * as i0 from "@angular/core";
/**
 * Represents the Kendo UI PDFMargin component for Angular.
 * Use this component to set the PDF page margins.
 * Supported units are:
 * - `"mm"`
 * - `"cm"`
 * - `"in"`
 * - `"pt"` (default)
 * When you provide only a number, the units default to points (`pt`).
 *
 * @example
 * ```html
 * <kendo-grid>
 *   <kendo-grid-pdf [allPages]="true" [delay]="100">
 *     <kendo-grid-pdf-margin top="1cm" bottom="1cm" left="1cm" right="1cm"></kendo-grid-pdf-margin>
 *   </kendo-grid-pdf>
 * </kendo-grid>
 * ```
 */
export declare class PDFMarginComponent extends PDFExportMarginComponent {
    static ɵfac: i0.ɵɵFactoryDeclaration<PDFMarginComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<PDFMarginComponent, "kendo-grid-pdf-margin", never, {}, {}, never, never, true, never>;
}
