/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { PreventableEvent } from '../../common/preventable-event';
/**
 * Provides the arguments for the `detailExpand` event.
 *
 * The event fires when a detail row expands.
 */
export declare class DetailExpandEvent extends PreventableEvent {
    /**
     * Represents the `dataItem` for the expanded row.
     */
    dataItem: any;
    /**
     * Represents the index of the expanded row.
     */
    index: number;
    /**
     * @hidden
     */
    constructor(args: any);
}
