/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { TemplateRef } from '@angular/core';
import * as i0 from "@angular/core";
/**
 * Lets you override the default loading indicator of the Grid.
 * Place an `<ng-template>` tag with the `kendoGridLoadingTemplate` directive inside `<kendo-grid>` to define a loading template. ([See example](slug:loadingtemplate_grid)).
 *
 * @example
 * ```html
 * <kendo-grid [data]="gridData" [loading]="true">
 *   <ng-template kendoGridLoadingTemplate>
 *     <div class="custom-loading-indicator">
 *       Loading data, please wait...
 *     </div>
 *   </ng-template>
 *   <kendo-grid-column field="ProductName"></kendo-grid-column>
 *   <kendo-grid-column field="UnitPrice"></kendo-grid-column>
 * </kendo-grid>
 */
export declare class LoadingTemplateDirective {
    templateRef: TemplateRef<any>;
    constructor(templateRef: TemplateRef<any>);
    static ɵfac: i0.ɵɵFactoryDeclaration<LoadingTemplateDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<LoadingTemplateDirective, "[kendoGridLoadingTemplate]", never, {}, {}, never, never, true, never>;
}
