/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { ElementRef } from '@angular/core';
import { ContextService } from '../../common/provider.service';
import { ToolbarPosition } from './toolbar-position';
import * as i0 from "@angular/core";
/**
 * Adds keyboard navigation support to toolbar elements in the Grid.
 *
 * Apply this directive to toolbar elements that should be focusable and navigable with the keyboard.
 *
 * @example
 * ```html
 * <kendo-toolbar>
 *   <button kendoGridToolbarFocusable>Button</button>
 * </kendo-toolbar>
 * ```
 */
export declare class GridToolbarFocusableDirective {
    private host;
    private ctx;
    /**
     * @hidden
     */
    get element(): HTMLElement;
    /**
     * @hidden
     */
    get toolbarPosition(): ToolbarPosition;
    constructor(host: ElementRef, ctx: ContextService);
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<GridToolbarFocusableDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<GridToolbarFocusableDirective, "        [kendoGridToolbarFocusable],        [kendoGridAddCommand],        [kendoGridCancelCommand],        [kendoGridEditCommand],        [kendoGridRemoveCommand],        [kendoGridSaveCommand],        [kendoGridExcelCommand],        [kendoGridPDFCommand]    ", never, {}, {}, never, never, true, never>;
}
