/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
/**
 * Configures the `position` property for the Grid Toolbar Template. [See example](slug:toolbartemplate_grid#toc-setting-the-toolbar-position).
 *
 * The possible values are:
 * * `top`&mdash;Shows the Toolbar at the top of the Grid.
 * * `bottom`&mdash;Shows the Toolbar at the bottom of the Grid.
 * * `both`&mdash;Shows the Toolbar at the top and bottom of the Grid.
 *
 * @example
 * ```html
 * <kendo-grid>
 *   <ng-template kendoGridToolbarTemplate position="bottom" let-position="position">
 *     <button (click)="onClick()">Custom action</button>
 *   </ng-template>
 * </kendo-grid>
 * ```
 */
export type ToolbarPosition = 'top' | 'bottom' | 'both';
