/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
/**
 * Provides the arguments for the [`contentScroll`](slug:api_grid_gridcomponent#toc-contentscroll) event.
 */
export interface ContentScrollEvent {
    /**
     * Represents the horizontal scroll position.
     */
    scrollLeft: number;
    /**
     * Represents the vertical scroll position.
     */
    scrollTop: number;
    /**
     * Represents the index of the first visible row in the viewport.
     * Available only if the grid uses virtual scrolling.
     */
    startRow: number;
    /**
     * Represents the index of the last visible row in the viewport.
     * Available only if the grid uses virtual scrolling.
     */
    endRow: number;
    /**
     * Represents the index of the first visible column in the viewport.
     * Available only if the `virtualColumns` option is true.
     */
    startColumn: number;
    /**
     * Represents the index of the last visible column in the viewport.
     * Available only if the `virtualColumns` option is true.
     */
    endColumn: number;
}
