/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
/**
 * Sets the scroll mode of the Grid.
 *
 * The available values are:
 * * `none`&mdash;Hides scrollbars. The Grid does not scroll.
 * * `scrollable`&mdash;Shows scrollbars in the Grid.
 * * `virtual`&mdash;Enables the [virtual scroll mode](slug:virtualscrolling_grid) of the Grid.
 *
 * @example
 * ```html
 * <kendo-grid scrollable="scrollable"></kendo-grid>
 * ```
 */
export type ScrollMode = 'none' | 'scrollable' | 'virtual';
